Subject: Re: video to tags

From: [email-masked] (John Clyne)
Date: Tue, 9 Jun 92 16:41:52 MDT

> > > Ok. I tried your text creator that Don sent me, and
> > > it made text that won't fit in cgm window. If i send
> > > that to video, will all text show? The titles I made
> > > before the plots filled a cgm window (idt/ctrans), but
> > > does not look big enough on video. If I make it larger
> > > than I can see with ctrans, will it all show on video?
> > > 
> > > --Ben
> > > 
> > 
> > I wasn't really suggesting that you use the text generator that I 
> > wrote. Its pretty crude. I thought you might want it just to give 
> > you an idea of the line widths and colors i used for text. I'm not 
> 
> Right. If I redo the titles, I'll use my own code.
> 
> > sure what you mean by it "won't fit in a CGM window". The translator 
> 
> Just that only part of the text is visible in a ctrans window, i.e.,
> a "large" char size was passed to plotchar, so most of it was clipped.

OK. now i see what you are saying.

> 
> > will clip anything that is drawn outside of the valid VDC space 
> > defined by the CGM. As to whether it will "fit" on your video tape
> > that depends on how you set the TAGS Video resolution and where 
> > within VDC space your plot resides. The text generator i wrote seems
> > to produce visible text so long as your resolution (RES keyword) is
> > not greater than 640x480.
> 
> So it sounds like a clipped cgm will not be clipped on video, up to
> some limit. I guess I can determine this by trial and error, though
> its time and resource consuming...

No thats not true. It will be clipped, in fact it may be clipped even
more than you thought. Think of it this way. If you draw a rectangle that
bounds the extents of the CGM VDC space. i.e {(0,0), (32767,0), (32767,32767),
(0,32767)}. This is the largest rectangle that will be completely visible
when you translate it. However, the effective resolution of NTSC is at
*most* 640x480. If you record this rectangle to video tape with RES=640x480
you may or may not see it depending on how good your equipment is. Thats why 
the default resolution is 430x430. At 430x430 even the poorest consumer 
monitor should show the entire rectangle.

jc

> --Ben